Skip to main content
GET
List appointments

Authorizations

Authorization
string
header
required

An API key from Settings > API keys. Scopes: business:read, business:write, calls:read, contacts:read, contacts:write, appointments:read, appointments:write, messages:read, knowledge:write, webhooks:manage.

Query Parameters

limit
integer

Items per page, 1 to 100. Defaults to 25.

Required range: 1 <= x <= 100
cursor
string

The next_cursor value from the previous page.

status
enum<string>

confirmed or cancelled.

Available options:
confirmed,
cancelled
starts_after
string<date-time>

Only appointments starting at or after this time.

starts_before
string<date-time>

Only appointments starting before this time.

contact_id
string<uuid>

Only this contact's appointments.

Response

OK

data
object[]
required
next_cursor
string | null
required

Pass as cursor to get the next page. Null on the last page.

has_more
boolean
required